Source capabilities, health and calls
curl --request GET \
--url https://api.semicola.com/api/v2/storefront/inventory-sources/{id}/diagnostics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/storefront/inventory-sources/{id}/diagnostics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/storefront/inventory-sources/{id}/diagnostics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"source": {
"sourceId": "<string>",
"name": "<string>",
"executionType": "AGENT",
"status": "PENDING",
"protocol": "MCP",
"endpointUrl": "<string>",
"authenticationType": "API_KEY",
"hasCredentials": true,
"productMode": "WHOLESALE",
"health": "healthy",
"lastCheckedAt": "2023-11-07T05:31:56Z"
},
"capabilities": {},
"lastDiscoveryTest": {
"status": "passed",
"productCount": 4503599627370495,
"latencyMs": 4503599627370495,
"error": "<string>"
},
"recentCalls": [
{
"operation": "<string>",
"outcome": "<string>",
"latencyMs": 4503599627370495,
"at": "2023-11-07T05:31:56Z"
}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Inventory Sources
Source capabilities, health and calls
GET
/
api
/
v2
/
storefront
/
inventory-sources
/
{id}
/
diagnostics
Source capabilities, health and calls
